@font-face {
    font-family: 'Kanit';
    src: url('../../fonts/Kanit-Light.woff2') format('woff2');
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Playwrite NZ';
    src: url('../../fonts/PlaywriteNZ-Regular.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Reddit Sans Condensed';
    src: url('../../fonts/RedditSansCondensed-Regular.woff2') format('woff2');
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}

body {
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    height: 100vh;
}

.container {
    display: flex;
    flex-direction: column;
    height: 100vh;
    border-top: solid 10px #1D3030;
}

.panel {
    display: grid;
    grid-template-columns: auto 1fr auto;
    align-items: center;
    background-color: #1D3030;
    color: #fff;
    padding: 0 20px;
}

.panel-left {
    justify-self: start;
    display: flex;
    align-items: center;
    gap: 0px;
}

.panel-title {
    text-align: center;
    font-family: 'Playwrite NZ';
	font-size: 12px;
	font-weight: normal;
    color: #fff;
    white-space: nowrap;
    margin-right: 10px;
    overflow: hidden;
    text-overflow: ellipsis;
}

.panel-right {
    display: flex;
    align-items: center;
}

.hamburger-menu {
    position: relative;
    display: flex;
    align-items: center;
}

.hamburger-icon,
#reset-btn,
#rotate-btn {
    background: #2F4F4F;
    border: none;
    color: #fff;
    padding: 5px 15px;
    min-height: 15px;
    cursor: pointer;
    box-shadow: inset 2px 2px 5px rgba(0, 0, 0, 0.5), inset -2px -2px 5px rgba(255, 255, 255, 0.1);
    transition: box-shadow 0.3s, background-color 0.3s;
}

.hamburger-icon:hover,
#reset-btn:hover,
#rotate-btn:hover {
    background-color: #708090;
}

.hamburger-icon {
    height: 14px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 auto;
}

#rotate-btn img {
    height: 15px;
    filter: brightness(0) invert(1);
    display: block;
    margin: 0 auto;
}

.menu-items {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    background-color: #1D3030;
    list-style-type: none;
    padding: 0;
    margin: 0;
    border-radius: 0 0 5px 5px;
    box-shadow: 0 2px 5px rgba(0,0,0,0.2);
    z-index: 1000;
}

.menu-items.show {
    display: block;
}

.menu-items li {
    padding: 0;
}

.menu-items button {
    width: 100%;
    text-align: left;
    padding: 10px 30px;
    border: none;
    background: #2F4F4F;
    color: #fff;
    cursor: pointer;
    transition: background-color 0.3s;
    box-shadow: inset 2px 2px 5px rgba(0, 0, 0, 0.5), inset -2px -2px 5px rgba(255, 255, 255, 0.1);
}

.menu-items button:hover {
    background-color: #708090;
}

.menu-items .tab-button.active {
    background-color: #708090;
}

#resolution-display {
    margin-left: 30px;
	font-family: Reddit Sans Condensed;
    font-size: 12px;
    color: #fff;
    display: block;
}

@media (orientation: portrait) {
    #resolution-display {
        display: none;
    }
    
    .panel-title {
        margin: 0 15px;
    }
}

@media (orientation: landscape) {
    #resolution-display {
        display: block;
    }
}

.main-container {
    display: flex;
    flex-direction: row;
    flex: 1;
    overflow: hidden;
    border: solid 5px #1D3030;
}

.main-container:not(.horizontal-layout) {
    flex-direction: column;
}

.main-container:not(.horizontal-layout) .textarea-container,
.main-container:not(.horizontal-layout) .preview-container {
    flex-direction: row;
}

.textarea-container, .preview-container {
    flex: 1;
    display: flex;
    overflow: hidden;
}

.textarea-container {
    display: flex;
    flex-direction: column;
    border: solid 5px #1D3030;
    box-shadow: inset 3px 3px 10px rgba(0, 0, 0, 0.5), inset -3px -3px 10px rgba(255, 255, 255, 0.1);
}

.hidden {
    display: none;
}

#html-editor, #css-editor, #js-editor {
    height: 100%;
    width: 100%;
}

.preview-container {
    position: relative;
    border: solid 5px #1D3030;
    box-shadow: inset 3px 3px 10px rgba(0, 0, 0, 0.5), inset -3px -3px 10px rgba(255, 255, 255, 0.1);
}

.preview-container iframe {
    width: 100%;
    height: 100%;
    border: none;
}

#download-btn {
    position: absolute;
    bottom: 30px;
    right: 30px;
    background-color: #fff;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    padding: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.3);
    transition: transform 0.3s ease;
    color: #333;
}

#download-btn:hover {
    transform: scale(1.1);
    color: #666;
}

#notification-container {
    position: fixed;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 1000;
}

.notification {
    background-color: #4CAF50;
    color: white;
    padding: 10px 15px;
    margin-top: 10px;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    animation: fade-in 0.5s;
    transition: opacity 0.5s ease;
}

.notification.fade-out {
    opacity: 0;
}

@keyframes fade-in {
    from { opacity: 0; }
    to { opacity: 1; }
}